%define name simgear
%define version 0.0.17
%define release 1mdk
%define prefix %{_prefix}
%define lib_name_orig libsimgear
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Basic tools for Simulation
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.simgear.org/
License: LGPL
Group: System/Libraries
Source: http://prdownloads.sourceforge.net/simgear/SimGear-%{version}.tar.bz2
BuildRequires: plib libmetakit-devel libMesaglut-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Author: Curtis Olson <curt@flightgear.org>

%description
All the basic routines required for the flight simulator as well as for
building scenery. Needed for FlightGear, for example.

%package -n %{lib_name}-devel
Summary: Headers/misc for developing programs that will use %{name}
Group: Development/C++
Obsoletes: SimGear-devel
Provides: SimGear-devel = %{version}-%{release} %{lib_name_orig}-devel = %{version}-%{release}
%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}, for example FlightGear.

%prep
%setup -q -n SimGear-%{version}

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
# (gc) for strange reasons, the thing won't build with --prefix=/usr
# (gc) don't wanna waste time on that, it seems to be no problem
autoconf
./configure
make

%install
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README
%{_libdir}/*.*a
%{_includedir}/*

%changelog
* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-1mdk
- new version (using external zlib btw)
- true license is LGPL, not GPL

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.16-2mdk
- lib policy
- fix invalid-spec-name simgear.spec
- fix obsolete-tag Copyright

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.16-1mdk
- new version

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.15-2mdk
- rebuild against new plib

* Thu Jun 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.15-1mdk
- version 0.0.15

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-4mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-3mdk
- rebuild fix fixed plib

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-2mdk
- rebuild

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-1mdk
- 0.0.14 which is needed for latest FlightGear

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.13-1mdk
- 0.0.13 which is needed for latest FlightGear

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.12-2mdk
- simple rebuild

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.12-1mdk
- 0.0.12

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.10-1mdk
- first Mandrake Package

